zenilib: SDL_uikitopenglview Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Instance Methods | Properties | List of all members
SDL_uikitopenglview Class Reference

`#import <SDL_uikitopenglview.h>`

Inherits SDL_uikitview.

## Instance Methods

(void) | - doLoop:
(id) | - initWithFrame:scale:retainBacking:rBits:gBits:bBits:aBits:depthBits:stencilBits:majorVersion:shareGroup:
(void) | - setAnimationCallback:callback:callbackParam:
(void) | - setCurrentContext
(void) | - startAnimation
(void) | - stopAnimation
(void) | - swapBuffers
(void) | - updateFrame
Instance Methods inherited from SDL_uikitview
(void) | - touchesBegan:withEvent:
(void) | - touchesEnded:withEvent:
(void) | - touchesMoved:withEvent:
(CGPoint) | - touchLocation:shouldNormalize:

## Properties

EAGLContext * | context

## Additional Inherited Members

Public Attributes inherited from SDL_uikitview
SDL_uikitviewcontroller * | viewcontroller
Protected Attributes inherited from SDL_uikitview
UITouch * | leftFingerDown
SDL_TouchID | touchId

## Detailed Description

Definition at line 32 of file SDL_uikitopenglview.h.

## Method Documentation

- (void) doLoop: |  | (id) | sender |

- (id) initWithFrame: |  | (CGRect) | frame
scale: |  | (CGFloat) | scale
retainBacking: |  | (BOOL) | retained
rBits: |  | (int) | rBits
gBits: |  | (int) | gBits
bBits: |  | (int) | bBits
aBits: |  | (int) | aBits
depthBits: |  | (int) | depthBits
stencilBits: |  | (int) | stencilBits
majorVersion: |  | (int) | majorVersion
shareGroup: |  | (EAGLSharegroup *) | shareGroup

- (void) setAnimationCallback: |  | (int) | interval
callback: |  | (void *) | callback
callbackParam: |  | (void *) | callbackParam

- (void) setCurrentContext |  |  |

- (void) startAnimation |  |  |

- (void) stopAnimation |  |  |

- (void) swapBuffers |  |  |

- (void) updateFrame |  |  |

## Property Documentation

- (EAGLContext *) context

readnonatomicretain

Definition at line 39 of file SDL_uikitopenglview.h.

The documentation for this class was generated from the following file:

- zenilib/jni/external/sdl/src/video/uikit/SDL_uikitopenglview.h